:- style_check(-singleton).

/*

Test Case "WDM1 - PASS THROUGH"
(1 out of 4 for WDM1)

NOTE:
Instruments, au1, au2 descriptions are not present here.
Just to test POTP compliance.

*/

mctp(test_case_001,

potp(['POTP1', 'POTP2', 'POTP3']),

instrument(['ONT_506_H', 'VOA_MAP200_S2P2', 'VOA_MAP200_S3P1', 'Instr1_43', 'Instr1_']),

au2([('au2138', connected_to(['POTP1', 'POTP2']))]),

au1([
('au1_15',               connected_to(['POTP1'])),
('au1_40',               connected_to(['POTP2'])),
('au1_25',               connected_to(['POTP3'])),
('au1_28',               connected_to(['POTP3'])),
('au1_35_TPS',           connected_to(['POTP3']))])

).


potp_instance('POTP1', attributes([
('TYPE', _TYPE),
('IPADDR', _IP1),
('NTPADDR', _NTP1),
('INSTALLED_CARDS', [
slot(SLOT1_NE1, card('SC-AT'), installed_interface([])),
slot(SLOT2_NE1, card('SC-AT'), installed_interface([])),
slot(SLOT3_NE1, card('4xXFP(SM)'), installed_interface([(1, 'OTU2_DWDM'), (3, 'I_64_1')]))
])
])
).

potp_instance('POTP2', attributes([
('TYPE', _TYPE),
('IPADDR', _IP1),
('NTPADDR', _NTP1),
('INSTALLED_CARDS', [
slot(SLOT1_NE2, card('SCM'), installed_interface([])),
slot(SLOT2_NE2, card('SCM'), installed_interface([])),
slot(SLOT3_NE2, card('1xSTM64/OTU2(SM)'), installed_interface([(1, 'OTU2_DWDM')])),
slot(SLOT4_NE2, card('1xSTM64/OTU2(SM)'), installed_interface([(1, 'OTU2_DWDM')])),
slot(SLOT5_NE2, card('2x10GE(SM) A'), installed_interface([(1, '10GBASE_LR_LW'), (3, 'OTU2e_DWDM')])),
slot(SLOT6_NE2, card('4xXFP(SM)'), installed_interface([(1, 'OTU2_DWDM'),(3, 'I_64_1')]))
])
])
).

potp_instance('POTP3', attributes([
('TYPE', _TYPE),
('IPADDR', _IP1),
('NTPADDR', _NTP1),
('INSTALLED_CARDS', [
slot(SLOT1_NE3, card('SCM'), installed_interface([])),
slot(SLOT2_NE3, card('SCM'), installed_interface([])),
slot(SLOT3_NE3, card('1xSTM64/OTU2(SM)'), installed_interface([(1, 'OTU2_DWDM')])),
slot(SLOT4_NE3, card('1xSTM64/OTU2(SM)'), installed_interface([(1, 'OTU2_DWDM')])),
slot(SLOT5_NE3, card('2x10GE(SM) A'), installed_interface([(1, '10GBASE_LR_LW'), (3, 'OTU2e_DWDM')]))
])
])
).